Bug 824293 - Include php-fpm in php build
Summary: Include php-fpm in php build
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php
Version: 6.2
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Lukas Zachar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-23 08:06 UTC by Stijn Tintel
Modified: 2013-02-21 10:14 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-21 10:14:06 UTC


Attachments (Terms of Use)
php-fpm-news.txt (5.01 KB, text/plain)
2012-10-12 07:40 UTC, Remi Collet
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0514 normal SHIPPED_LIVE Moderate: php security, bug fix and enhancement update 2013-02-20 21:29:20 UTC

Description Stijn Tintel 2012-05-23 08:06:34 UTC
Please enable php-fpm in the RHEL6 php build, so that people can serve PHP pages with Nginx instead of resource-hungry Apache without having to use a 3rd party repository for php.

Comment 2 Erik 2012-06-11 22:24:36 UTC
More generally, it would be great to disassociate PHP and Apache to make php-fpm a real "application server" rather than an extension of Apache.

See [#698086] also.

Comment 4 Timothy Lavelle 2012-08-28 05:55:19 UTC
I would also like to ask that this is included as part of the PHP build.

I'm setting up a new server environment with 13 licenses of RHEL 6.3, and our sys admins are a bit reserved to allow the use of PHP-FPM on the servers because it's not supported by RH.

With nginx becoming a very popular, rising start in the web server world, we need have this as part of our nginx farm. 

Can we get any update on this please?

Comment 5 Remi Collet 2012-10-12 07:40:52 UTC
Created attachment 625840 [details]
php-fpm-news.txt

All the NEWS entry, from php-src, related to php-fpm.

As FPM was introduced, as new feature, in 5.3.3 and get more visibility, a lot of fixes / changes occur on next versions. Need to select the "mandatory" ones.

Comment 6 Remi Collet 2012-10-12 08:01:05 UTC
Which seems really needed:

* all security fixes
* "test" option (before service reload)
* "daemonize" option
* status page
* log fixes
* drop of libevent dependency
* pid location
* process control options

Comment 11 Patrick 2012-12-22 22:43:21 UTC
In php 5.3.20 there is another fix for fpm. Might want to include that one too.
https://bugs.php.net/bug.php?id=63581

Don't know if it is possible but wouldn't it be simpler to just replace the fpm code in 5.3.3 with the fpm code from 5.3.20?

Comment 12 Patrick 2012-12-23 02:45:00 UTC
I did a quick test on a 6.3 x86_64 box by replacing the fpm code in the php-5.3.3 RPM with the version from php-5.3.20. Added to the php-5.3.3 specfile:

In the prep section add:

# replace fpm with the version from php-5.3.20
pushd sapi
rm -rf fpm
tar xvzf %{SOURCE4}
popd

In the build section after the build-cgi part add:

# Build /usr/bin/php-fpm with the CGI SAPI
pushd build-fpm
build --enable-fpm ${without_shared}
popd

In the files section add:

%files fpm
%defattr(-,root,root)
%doc sapi/fpm/CREDITS sapi/fpm/LICENSE
%{_sbindir}/php-fpm
%{_mandir}/man8/php-fpm.8*
%{_sysconfdir}/php-fpm.*
%{_initrddir}/php-fpm
%dir %{_datarootdir}/fpm
%{_datarootdir}/fpm/status.html

Built fine for me. Next I installed it, copied /etc/php-fpm.conf.default to /etc/php-fpm.conf, did minimal tweaks, setenforce 0 and then did service php-fpm start which started fine. Did not do any other tests.

Hope this helps anyone. Happy holidays!

Comment 13 Remi Collet 2012-12-24 07:03:24 UTC
As you probably noticed, this bug have been reported and fixed by us.
So yes, the fix will be included in our build.

Comment 14 Patrick 2012-12-24 07:55:16 UTC
Hi Remi. I had not noticed that but I'm glad that a fix will be included. I look forward to trying out the new build. Thank you (guys) for your efforts!

Comment 15 Patrick 2013-01-03 18:34:25 UTC
Is a php EL6 SRPM with fpm enabled available somewhere? In koji I see php-5.3.20 with fpm enabled for F16 but I could not find an SRPM for EL6. The php-5.3.3-14 RPM for EL6 does not have fpm enabled. Thanks!

Comment 16 errata-xmlrpc 2013-02-21 10:14:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0514.html


Note You need to log in before you can comment on or make changes to this bug.